=== debian/changelog ===
dlt-viewer (2.23.0+dfsg-3) unstable; urgency=medium

  * debian/patches/332.patch:
    - Make sure git is optionally required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2023 10:34:18 +0100

dlt-viewer (2.23.0+dfsg-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * debian/rules: Ensure reproducible timestamps (Closes: #1021789)

  [ Gianfranco Costamagna ]
  * Mark dlt-viewer-dev M-A: same

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2023 09:46:05 +0100

dlt-viewer (2.23.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.23.0+dfsg
  * Bump watch file to 4
  * Bump std-version to 4.6.2
  * Switch from GENIVI to COVESA
  * Fix headers installation in dev package
  * Fix png installation path after upstream change
  * Remove patch now upstream
  * Fix CMake changes in variables names
  * debian/patches/329.patch:
    - Add patch proposed upstream to stop setting RPATH to qdlt
  * Don't install static library anymore Rework the installation of share folder
  * Also install README.md file
  * Add installation of example files
  * debian/patches/330.patch:
    - Add proposed patch to fix installation of useless files when SDK is off
  * debian/patches/331.patch:
    - Add proposed patch to build twice

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jan 2023 23:14:59 +0100
