## dlt-viewer 2.24.0+dfsg

=== debian/changelog ===
dlt-viewer (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.24.0+dfsg
  * Drop upstream patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jun 2023 23:06:46 +0200
