## dlt-viewer 2.25.0%2Bdfsg

=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -53,19 +53,21 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/../src)
 
 target_link_libraries(qdlt PUBLIC
-    Qt5::Core
-    Qt5::Network
-    Qt5::Widgets
-    Qt5::SerialPort)
+    ${QT_PREFIX}::Core
+    ${QT_PREFIX}::Network
+    ${QT_PREFIX}::Widgets
+    ${QT_PREFIX}::SerialPort)
 
 if(WIN32)
     target_link_libraries(qdlt PUBLIC ws2_32)
 endif()
 
-set_target_properties(qdlt PROPERTIES
-    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
-    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
-    INSTALL_RPATH "$<$<BOOL:${LINUX}>:$ORIGIN;>$<$<BOOL:${APPLE}>:@loader_path;>$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT5_LIB_DIR}>")
+if(DLT_USE_QT_RPATH)
+    set_target_properties(qdlt PROPERTIES
+        LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
+        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
+        INSTALL_RPATH "$ORIGIN;$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT_LIB_DIR}>")
+ endif()
 
 install(TARGETS qdlt
     LIBRARY DESTINATION "${DLT_LIBRARY_INSTALLATION_PATH}"
@@ -80,12 +82,24 @@
     set(DLT_ADDITIONAL_FILES_INSTALLATION_PATH ".")
 endif()
 
-install(TARGETS qdlt
-    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/lib"
-    COMPONENT qdlt_sdk)
+if(DLT_INSTALL_SDK)
+    install(TARGETS qdlt
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/lib"
+        COMPONENT qdlt_sdk)
+    install(DIRECTORY "."
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/include/qdlt"
+        COMPONENT qdlt_sdk
+        FILES_MATCHING PATTERN "*.h")
+
+foreach(SDK_EXAMPLE IN ITEMS ${SDK_EXAMPLES})
+    install(DIRECTORY "../plugin/${SDK_EXAMPLE}"
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/src"
+        COMPONENT qdlt_sdk)
+endforeach()
+endif()
 
 install(DIRECTORY "."
-    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/include"
+    DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/include/qdlt"
     COMPONENT qdlt_sdk
     FILES_MATCHING PATTERN "*.h")
 
@@ -97,6 +111,6 @@
 
 foreach(SDK_EXAMPLE IN ITEMS ${SDK_EXAMPLES})
     install(DIRECTORY "../plugin/${SDK_EXAMPLE}"
-        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/sdk/src"
+        DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/src"
         COMPONENT qdlt_sdk)
 endforeach()
