## dlt-viewer 2.25.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 
 cmake_minimum_required (VERSION 3.15)
-
+# implicitly calls version checks
 include(scripts/windows/version.cmake)
 include(scripts/linux/version.cmake)
 
@@ -39,23 +39,22 @@
     set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
 endif()
 
-find_package(Qt5 "5" REQUIRED COMPONENTS Core Network Widgets SerialPort PrintSupport)
-
-if(Qt5Core_VERSION VERSION_LESS "5.5.1")
-    # Presumably Qt5Core implies all dependent libs too
-    message(FATAL_ERROR "QT minimum version required: 5.5.1")
-endif()
-
 set (CMAKE_AUTOMOC ON)
 set (CMAKE_AUTOUIC ON)
+set (CMAKE_AUTORCC ON)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-get_target_property(DLT_QT5_LIBRARY_PATH Qt5::Core LOCATION)
-get_filename_component(DLT_QT5_LIB_DIR ${DLT_QT5_LIBRARY_PATH} DIRECTORY)
+get_target_property(DLT_QT_LIBRARY_PATH ${QT_PREFIX}::Core LOCATION)
+get_filename_component(DLT_QT_LIB_DIR ${DLT_QT_LIBRARY_PATH} DIRECTORY)
 
-# Add Qt to the RPATH, so that there is no need to set LD_LIBRARY_PATH at runtime if Qt is installed in a non-standard location
-option(DLT_USE_QT_RPATH "Use RPATH for QT_LIBRARY_PATH to support non-standard QT install locations" ON)
+if(NOT WIN32)
+    option(DLT_USE_QT_RPATH "Use RPATH for QT_LIBRARY_PATH to support non-standard QT install locations" ON)
+    if (DLT_USE_QT_RPATH)
+        # Add Qt to the RPATH, so that there is no need to set LD_LIBRARY_PATH at runtime if Qt is installed in a non-standard location
+        set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${DLT_QT_LIB_DIR}")
+    endif()
+endif()
 
 # Injection of the GCC-specific compilation flags
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -65,8 +64,14 @@
 endif()
 
 add_compile_definitions(QT5)
+set(QT5_QT6_COMPAT_VERSION "5.14")
+# add compiler definition to be used for >= Qt 5.14 code
+if(${QT_PREFIX}Core_VERSION VERSION_GREATER_EQUAL ${QT5_QT6_COMPAT_VERSION})
+    add_compile_definitions(QT5_QT6_COMPAT)
+endif()
 
 option(DLT_USE_STANDARD_INSTALLATION_LOCATION "Use standard GNU installation locations" OFF)
+option(DLT_INSTALL_SDK "Install in SDK location" ON)
 if(NOT WIN32)
     if(NOT DLT_APP_DIR_NAME)
         set(DLT_APP_DIR_NAME "DLTViewer")
@@ -77,7 +82,7 @@
     if(DLT_USE_STANDARD_INSTALLATION_LOCATION)
         include(GNUInstallDirs)
         set(DLT_PLUGIN_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_LIBDIR}/dlt-viewer/plugins")
-        set(DLT_RESOURCE_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_DATADIR}/dlt-viewer")
+        set(DLT_RESOURCE_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_DATADIR}")
         set(DLT_EXECUTABLE_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_BINDIR}")
         set(DLT_LIBRARY_INSTALLATION_PATH "${CMAKE_INSTALL_FULL_LIBDIR}")
     else()
@@ -136,7 +141,7 @@
 message(STATUS "\tCMAKE_BUILD_TYPE:             ${CMAKE_BUILD_TYPE}")
 message(STATUS "\tCMAKE_SYSTEM_PROCESSOR:       ${CMAKE_SYSTEM_PROCESSOR}")
 message(STATUS "\tCMAKE_SYSTEM_NAME:            ${CMAKE_SYSTEM_NAME}")
-message(STATUS "\tDLT_QT5_LIB_DIR:               ${DLT_QT5_LIB_DIR}\n")
+message(STATUS "\tDLT_QT_LIB_DIR:               ${DLT_QT_LIB_DIR}\n")
 
 # Must be last
 include(scripts/windows/package.cmake)
