=== debian/changelog ===
dlt-viewer (2.25.0+dfsg-2build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:18:57 +0000

dlt-viewer (2.25.0+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:03:41 +0000

dlt-viewer (2.25.0+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:14:59 +0000

dlt-viewer (2.25.0+dfsg-2) unstable; urgency=medium

  * Package real 2.25.0 tag as Debian specific patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jan 2024 12:08:30 +0100

dlt-viewer (2.25.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.25.0+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Aug 2023 08:49:01 +0200
