=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dlt-viewer
 Section: devel
 Priority: optional
-Maintainer: Stefan Potyra <stefan@potyra.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefan Potyra <stefan@potyra.de>
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Aigars Mahinovs <aigarius@debian.org>,
  Gianfranco Costamagna <locutusofborg@debian.org>
