=== src/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
     dltfileindexer.cpp
     dlttableview.cpp
     dltexporter.cpp
+    dltimporter.cpp
     fieldnames.cpp
     dltuiutils.cpp
     workingdirectory.cpp
@@ -68,7 +69,7 @@
 
 set_target_properties(dlt-viewer PROPERTIES
     RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
-    INSTALL_RPATH "$ORIGIN/../lib;$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT_LIB_DIR}>")
+    INSTALL_RPATH "$<$<BOOL:${LINUX}>:$ORIGIN/../lib;>$<$<BOOL:${APPLE}>:@loader_path/../Frameworks;>$<$<BOOL:${DLT_USE_QT_RPATH}>:${DLT_QT_LIB_DIR}>")
 
     install(TARGETS dlt-viewer
     DESTINATION "${DLT_EXECUTABLE_INSTALLATION_PATH}"
