=== debian/changelog ===
dlt-viewer (2.26.0+dfsg-2) unstable; urgency=medium

  * Use a different approach to fix the build failure,
    by not including a c++ header in a c header, thanks <vifactor>

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 08:15:59 +0200

dlt-viewer (2.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.26.0+dfsg
  * Drop patches, upstream
  * Bump std-version to 4.7.0
  * switch to qt6
  * Update copyright years
  * Add patch proposed upstream 506.patch to rename a c file into
    cpp, fixing FTBFS with newer compiler and toolchains

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Jul 2024 20:49:37 +0200
