=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: dlt-viewer
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stefan Potyra <stefan@potyra.de>
+Maintainer: Stefan Potyra <stefan@potyra.de>
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Aigars Mahinovs <aigarius@debian.org>,
  Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: debhelper-compat (= 13),
- qtbase5-dev,
- qtdeclarative5-dev,
- libqt5serialport5-dev,
+ asciidoc,
+ dblatex,
  cmake,
- asciidoc,
- dblatex
-Standards-Version: 4.6.2
+ libxkbcommon-dev,
+ qt6-base-dev,
+ qt6-declarative-dev,
+ qt6-serialport-dev ,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/COVESA/dlt-viewer
 Vcs-Browser: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer
