## dlt-viewer 2.26.1+dfsg

=== debian/changelog ===
dlt-viewer (2.26.1+dfsg-2) unstable; urgency=medium

  * Use another approach to fix the build failure, upstream proposed PR #513

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 18:00:09 +0200

dlt-viewer (2.26.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2.26.1
  * Add gtest dependency to enable testing

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 08:18:02 +0200
