## dlt-viewer 2.26.2+dfsg

=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,12 @@
     qdltplugin.cpp
     qdltsegmentedmsg.cpp
     qdltoptmanager.cpp
-    qdltsettingsmanager.cpp)
+    qdltsettingsmanager.cpp
+    qdltexporter.cpp
+    qdltimporter.cpp
+    fieldnames.cpp
+    dltmessagematcher.cpp
+    dltmessagematcher.h)
 
 target_compile_definitions(qdlt PRIVATE
     BYTE_ORDER=LITTLE_ENDIAN
@@ -113,3 +118,12 @@
         DESTINATION "${DLT_ADDITIONAL_FILES_INSTALLATION_PATH}/src"
         COMPONENT qdlt_sdk)
 endforeach()
+
+
+find_package(GTest)
+# configure unit tests only if gtest found on the system
+if (GTest_FOUND)
+    message(STATUS "Tests enabled")
+    enable_testing()
+    add_subdirectory(tests)
+endif()
