=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,9 +36,6 @@
     dltfileutils.cpp
     dltfileindexer.cpp
     dlttableview.cpp
-    dltexporter.cpp
-    dltimporter.cpp
-    fieldnames.cpp
     dltuiutils.cpp
     workingdirectory.cpp
     jumptodialog.cpp
@@ -51,8 +48,11 @@
     dltfileindexerdefaultfilterthread.cpp
     mcudpsocket.cpp
     sortfilterproxymodel.cpp
+    searchform.h
+    searchform.cpp
     ${UI_RESOURCES_RCC}
-    resources/dlt_viewer.rc)
+    resources/dlt_viewer.rc
+    )
 
 target_link_libraries(dlt-viewer
     qdlt
