=== debian/changelog ===
dlt-viewer (2.26.2+dfsg-2) unstable; urgency=medium

  * Enable testsuite

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Oct 2024 09:10:46 +0200

dlt-viewer (2.26.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.26.2+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Oct 2024 00:53:36 +0200
