=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,12 @@
 %:
 	dh $@
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test
+	./obj-*/qdlt/tests/test_tools
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	      -DDLT_USE_STANDARD_INSTALLATION_LOCATION=ON \
