## dlt-viewer 2.27.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,8 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
-	./obj-*/qdlt/tests/test_tools
+	./obj-*/qdlt/tests/test_dltmessagematcher
+	./obj-*/qdlt/tests/test_dltoptmanager
 endif
 
 override_dh_auto_configure:
