## dlt-viewer 2.27.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
     set(LINUX TRUE)
 endif()
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
@@ -135,6 +135,7 @@
 add_subdirectory(qdlt)
 add_subdirectory(src)
 add_subdirectory(plugin)
+add_subdirectory(commander)
 
 message(STATUS "\n\t** DLT Viewer Build Summary **")
 message(STATUS "\tCMAKE_INSTALL_PREFIX:         ${CMAKE_INSTALL_PREFIX}")
