=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,6 @@
     dltmsgqueue.cpp
     dltfileindexerthread.cpp
     dltfileindexerdefaultfilterthread.cpp
-    mcudpsocket.cpp
     sortfilterproxymodel.cpp
     searchform.h
     searchform.cpp
