=== debian/changelog ===
dlt-viewer (2.27.0+dfsg-2) unstable; urgency=medium

  * Also cherry-pick upstream PR #586 to fix a new build
    failure due to new qt/gcc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Dec 2024 21:13:13 +0100

dlt-viewer (2.27.0+dfsg-1) unstable; urgency=medium

  * Fix build due to test renaming
  * d/copyright: Make files-excluded easier to understand
  * New upstream version 2.27.0+dfsg
  * Cherry-pick upstream proposed/merged build fixes:
    - Cherry-pick PR #594 from master branch
    - Update patch #513 from proposed PR

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Dec 2024 12:09:42 +0100

dlt-viewer (2.27.0-1) unstable; urgency=medium

  * New upstream version 2.27.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Dec 2024 23:35:17 +0100
