=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  asciidoc,
  dblatex,
  cmake,
+ libgtest-dev,
  libxkbcommon-dev,
  qt6-base-dev,
  qt6-declarative-dev,
